com.tibbo.aggregate.common.action

## Class EntityRelatedActionDescriptor

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.action.EntityRelatedActionDescriptor

-     public class EntityRelatedActionDescriptor
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_ACTION`
    `static java.lang.String` | `FIELD_DESCRIPTION`
    `static java.lang.String` | `FIELD_ENTITY`
    `static java.lang.String` | `FIELD_ICON`
    `static java.lang.String` | `FIELD_MASK`
    `static java.lang.String` | `FIELD_TARGET`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityRelatedActionDescriptor()`
    `EntityRelatedActionDescriptor(DataRecord data)`
    `EntityRelatedActionDescriptor(java.lang.String mask, java.lang.String entity, java.lang.String target, java.lang.String action, java.lang.String description, java.lang.String iconId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getEntity()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getMask()`
    `java.lang.String` | `getTarget()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEntity(java.lang.String group)`
    `void` | `setIcon(java.lang.String icon)`
    `void` | `setMask(java.lang.String mask)`
    `void` | `setTarget(java.lang.String target)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_MASK

          public static final java.lang.String FIELD_MASK

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY

          public static final java.lang.String FIELD_ENTITY

      See Also:
        Constant Field Values

    - #### FIELD_TARGET

          public static final java.lang.String FIELD_TARGET

      See Also:
        Constant Field Values

    - #### FIELD_ACTION

          public static final java.lang.String FIELD_ACTION

      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          public static final java.lang.String FIELD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_ICON

          public static final java.lang.String FIELD_ICON

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### EntityRelatedActionDescriptor

          public EntityRelatedActionDescriptor(java.lang.String mask,
                                               java.lang.String entity,
                                               java.lang.String target,
                                               java.lang.String action,
                                               java.lang.String description,
                                               java.lang.String iconId)

    - #### EntityRelatedActionDescriptor

          public EntityRelatedActionDescriptor(DataRecord data)

    - #### EntityRelatedActionDescriptor

          public EntityRelatedActionDescriptor()

  - ### Method Detail

    - #### getMask

          public java.lang.String getMask()

    - #### setMask

          public void setMask(java.lang.String mask)

    - #### getEntity

          public java.lang.String getEntity()

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

    - #### getDescription

          public java.lang.String getDescription()

    - #### getIcon

          public java.lang.String getIcon()

    - #### setEntity

          public void setEntity(java.lang.String group)

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### setIcon

          public void setIcon(java.lang.String icon)